Sistema Riego - 9Nov/GenericApp_web/Generic_appWeb/Models/Categoria_punto.cs
using System;

namespace Generic_appWeb.Models
{
    public class Categoria_punto
    {
        
        public int CPu_id { get; set; }
        public string CPu_codigo_empresa { get; set; }
        public string CPu_codigo_alterno { get; set; }
        public string CPu_descripcion_larga { get; set; }
        public string CPu_descripcion_med { get; set; }
        public string CPu_descripcion_corta { get; set; }
        public string CPu_abreviacion { get; set; }
        public string CPu_observacion { get; set; }
        public DateTime CPu_fecha_creacion { get; set; }
        public DateTime CPu_fecha_modificacion { get; set; }
        public Usuario CPu_usuario_creacion { get; set; }
        public Usuario CPu_usuario_modificacion { get; set; }
        public char CPu_estado { get; set; }
        public int CPu_secuencia { get; set; }
        public Grupo_punto Grupo_punto { get; set; }
        public Hacienda Hacienda { get; set; }

    }
}

Sistema Riego - 9Nov/GenericApp_web/Generic_appWeb/Controllers/Categoria_puntoController.cs
using Generic_appWeb.Models;
using Generic_appWeb.Repository;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Configuration;
using System;

namespace Generic_appWeb.Controllers
{
    public class Categoria_puntoController : Controller
    {

       
        //private readonly UsuarioRepository _usuarioRepository;
        private readonly Grupo_puntoRepository _Grupos_puntosRepository;
        public Categoria_puntoRepository _Categoria_puntoRepository;
        public EntidadRepository _entidadRepository;

        public Categoria_puntoController(IConfiguration configuration)
        {
            _Grupos_puntosRepository = new Grupo_puntoRepository(configuration);
            _Categoria_puntoRepository = new Categoria_puntoRepository(configuration);
            _entidadRepository = new EntidadRepository(configuration);
            //_usuarioRepository = new UsuarioRepository(configuration);
        }


        public IActionResult Index()
        {

            return View(_Categoria_puntoRepository.FindAll());
        }

        public IActionResult Create()
        {
            ViewBag.grupos_puntosList = _Grupos_puntosRepository.FindAll();
            //ViewBag.estadosList = _usuarioRepository.FindAll();
            ViewBag.fecha_creacion = DateTime.Now.ToString("dd/MM/yyyy HH:MM:ss");
            ViewBag.entidadeList = _entidadRepository.FindAll();

            return View();
        }

        // POST: Customer/Create
        [HttpPost]
        public IActionResult Create(Categoria_punto obj)
        {
           
            _Categoria_puntoRepository.Add(obj);
            
            return RedirectToAction("Index");
        }

        // GET: /Customer/Edit/1
        public IActionResult Edit(int? id)
        {
            try
            {
                if (id == null)
                {
                    return NotFound();
                }
                ViewBag.grupos_puntosList = _Grupos_puntosRepository.FindAll();
                //ViewBag.estadosList = _usuarioRepository.FindAll();
                ViewBag.fecha_modificacion = DateTime.Now.ToString("dd/MM/yyyy HH:MM:ss");
                ViewBag.entidadList = _entidadRepository.FindAll();
                Categoria_punto obj = _Categoria_puntoRepository.FindByID(id.Value);


                if (obj.CPu_id == 0)
                {
                    return NotFound();
                }
                return View(obj);
            }
            catch (Exception e)
            {

                throw;
            }
        }

        // POST: /Customer/Edit   
        [HttpPost]
        public IActionResult Edit(Categoria_punto obj)
        {
            try
            {
                _Categoria_puntoRepository.Update(obj);
                return RedirectToAction("Index");
            }
            catch (Exception e)
            {
                return View(obj);
            }
        }

        // GET:/Customer/Delete/1
        public IActionResult Delete(int? id)
        {

            if (id == null)
            {
                return NotFound();
            }
            _Categoria_puntoRepository.Remove(id.Value);
            return RedirectToAction("Index");
        }






        // comobo box obtener categorias por grupo
        public JsonResult Getcmb_categoriabygrupo_punto(int GEn_id)
        {

            var categorias_puntos_puntosList = _Categoria_puntoRepository.Getcmb_categoriabygrupo_punto(GEn_id);
            return Json(categorias_puntos_puntosList);
        }













    }
}

Sistema Riego - 9Nov/GenericApp_web/Generic_appWeb/Views/Categoria_punto/Create.cshtml
@{ ViewData["Title"] = "Categoria punto";
    ViewData["Titulo_punto"] = "Ingresar Categoria punto";
    ViewData["punto"] = "Categoria punto";


    Layout = "_create"; }







@model Generic_appWeb.Models.Categoria_punto


<form asp-action="Create">


    <div CPuass="card card-default ">

        <div CPuass="card-header">
            <h3 CPuass="card-title">Hacienda</h3>
        </div>

        <div CPuass="card-body ">


            <div CPuass="form-group ">
                <label asp-for="Hacienda.Hac_id" CPuass="col-md-4 control-label" style="float:left"> Hacienda </label>

                <select asp-for="Hacienda.Hac_id" asp-items="@(new SelectList(ViewBag.haciendaList,"Hac_id", "Hac_descripcion_corta"))" CPuass="form-control col-md-6 select2"><option>Seleccione</option></select>


                <span asp-validation-for="Hacienda.Hac_id" CPuass="text-danger" />

            </div>



        </div>
    </div>



    <div CPuass="card card-default ">

        <div CPuass="card-header">
            <h3 CPuass="card-title">Grupo punto</h3>
        </div>

        <div CPuass="card-body ">


            <div CPuass="form-group ">
                <label asp-for="Grupo_punto.GPu_id" CPuass="col-md-4 control-label" style="float:left"> Hacienda </label>

                <select asp-for="Grupo_punto.GPu_id" asp-items="@(new SelectList(ViewBag.grupo_puntoList,"GPu_id", "GPu_descripcion_med"))" CPuass="form-control col-md-6 select2"><option>Seleccione</option></select>


                <span asp-validation-for="Grupo_punto.GPu_id" CPuass="text-danger" />

            </div>



        </div>
    </div>





    <div CPuass="card card-default ">

        <div CPuass="card-header">
            <h3 CPuass="card-title">Codigo</h3>
        </div>

        <div CPuass="card-body">


            <div CPuass="form-group ">
                <label asp-for="CPu_codigo_empresa" CPuass="col-md-4 control-label" style="float:left"> Empresa </label>
                <input asp-for="CPu_codigo_empresa" CPuass="form-control col-md-6" />
                <span asp-validation-for="CPu_codigo_empresa" CPuass="text-danger" />

            </div>

            <div CPuass="form-group ">
                <label asp-for="CPu_codigo_alterno" CPuass="col-md-4 control-label" style="float:left"> Alterno </label>
                <input asp-for="CPu_codigo_alterno" CPuass="form-control col-md-6" type="text" />
                <span asp-validation-for="CPu_codigo_alterno" CPuass="text-danger" />

            </div>


        </div>
    </div>


    <br />


    <div CPuass="card card-default ">

        <div CPuass="card-header">
            <h3 CPuass="card-title">Descripciones</h3>
        </div>

        <div CPuass="card-body">


            <div CPuass="form-group">
                <label asp-for="CPu_descripcion_larga" CPuass="col-md-4 control-label" style="float:left"> Larga</label>
                <input asp-for="CPu_descripcion_larga" CPuass="form-control col-md-6" />
                <span asp-validation-for="CPu_descripcion_larga" CPuass="text-danger" />

            </div>

            <div CPuass="form-group">
                <label asp-for="CPu_descripcion_med" CPuass="col-md-4 control-label" style="float:left"> Media</label>
                <input asp-for="CPu_descripcion_med" CPuass="form-control col-md-6" />
                <span asp-validation-for="CPu_descripcion_med" CPuass="text-danger" />

            </div>

            <div CPuass="form-group">
                <label asp-for="CPu_descripcion_corta" CPuass="col-md-4 control-label" style="float:left"> Corta</label>
                <input asp-for="CPu_descripcion_corta" CPuass="form-control col-md-6" />
                <span asp-validation-for="CPu_descripcion_corta" CPuass="text-danger" />
            </div>

            <div CPuass="form-group">
                <label asp-for="CPu_abreviacion" CPuass="col-md-4 control-label" style="float:left"> Abreviacion</label>

                <input asp-for="CPu_abreviacion" CPuass="form-control col-md-6" />
                <span asp-validation-for="CPu_abreviacion" CPuass="text-danger" />

            </div>

            <div CPuass="form-group">
                <label asp-for="CPu_observacion" CPuass="col-md-4 control-label" style="float:left"> Observacion</label>

                <input asp-for="CPu_observacion" CPuass="form-control col-md-6" />
                <span asp-validation-for="CPu_observacion" CPuass="text-danger" />
            </div>


        </div>

    </div>


    <br />


    <div CPuass="card card-default">

        <div CPuass="card-header">
            <h3 CPuass="card-title">Fechas</h3>
        </div>

        <div CPuass="card-body">


            <div CPuass="form-group">

                <label asp-for="CPu_fecha_creacion" CPuass="col-xl-4 col-md-4 col-lg-4" style="float:left">  Creacion</label>
                <input name="CPu_fecha_creacion" id="CPu_fecha_creacion" CPuass="form-control col-xl-6" value="@ViewBag.fecha_creacion" readonly>
                <span asp-validation-for="CPu_fecha_creacion" CPuass="text-danger" />

            </div>

            <div CPuass="form-group">

                <label asp-for="CPu_fecha_modificacion" CPuass="col-xl-4 col-md-4 col-lg-4" style="float:left">  Modificacion</label>
                <input name="CPu_fecha_modificacion" id="CPu_fecha_modificacion" CPuass="form-control col-xl-6" value="@ViewBag.fecha_creacion" readonly>
                <span asp-validation-for="CPu_fecha_modificacion" CPuass="text-danger" />

            </div>


        </div>

    </div>



    <br />


    <div CPuass="card card-default">

        <div CPuass="card-header">
            <h3 CPuass="card-title">Usuario</h3>
        </div>

        <div CPuass="card-body">

            <div CPuass="form-group">

                <label asp-for="CPu_usuario_creacion" CPuass="col-xl-4 col-md-4 col-lg-4" style="float:left">  Creacion</label>
                <input asp-for="CPu_usuario_creacion" CPuass="form-control col-xl-6" readonly />
                <span asp-validation-for="CPu_usuario_creacion" CPuass="text-danger" />

            </div>

            <div CPuass="form-group">

                <label asp-for="CPu_usuario_modificacion" CPuass="col-xl-4 col-md-4 col-lg-4" style="float:left">  Modificacion</label>
                <input asp-for="CPu_usuario_modificacion" CPuass="form-control col-xl-6" readonly value=" " />
                <span asp-validation-for="CPu_usuario_modificacion" CPuass="text-danger" />

            </div>

        </div>


    </div>


    <br />



    <div CPuass="card card-default">

        <div CPuass="card-header">
            <h3 CPuass="card-title">Secuencia</h3>
        </div>

        <div CPuass="card-body">


            <div CPuass="form-group">
                <label asp-for="CPu_secuencia" CPuass="col-xl-4 col-md-4 col-lg-4" style="float:left">  Secuencia</label>
                <!--<label asp-for="GCul_secuencia" CPuass="col-md-4 control-label" style="float:left">  Secuencia </label>-->
                <input asp-for="CPu_secuencia" CPuass="form-control col-md-6" />
                <span asp-validation-for="CPu_secuencia" CPuass="text-danger" />

            </div>

        </div>

    </div>


    <br />


    <div style="float:right" CPuass="col-md-12">

        <div CPuass="form-group">

            <div CPuass="float-right">

                <button type="button" CPuass="btn btn-outline-secondary " onCPuick="location.href='@Url.Action("Index", "Categoria_punto")'">Volver</button>
                <button type="submit" CPuass="btn btn-primary ">Guardar</button>

            </div>

        </div>

    </div>


</form>

Sistema Riego - 9Nov/GenericApp_web/Generic_appWeb/Views/Categoria_punto/Edit.cshtml
@model Generic_appWeb.Models.Categoria_punto




<form asp-controller="Categoria_punto" asp-action="Edit" method="post" role="form">
    <div class="card card-success">
        <div class="card-header">
            <section class="content-header">
                <h3>EDITAR CATEGORIAS PUNTOS</h3>
            </section>

        </div>
        <div class="card-body">

            <div style="float:left" class="col-xl-12  ">

                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <div class="form-group">
                        <label asp-for="Hacienda.Hac_id" class="col-md-4 control-label" style="float:left">PROPIETARIO</label>

                        <select asp-for="Hacienda.Hac_id" asp-items="@(new SelectList(ViewBag.HaciendaList,"Hac_id", "Hac_descripcion_larga"))" class="form-control col-md-6 select2"><option>Seleccione</option></select>
                        <span asp-validation-for="Hacienda.Hac_id" class="text-danger" />
                    </div>
                </fieldset>
                <br />
                <br />

                @Html.Hidden("CPu_id")
                <fieldset class="col-xl-6 col-md-6 col-lg-6">





                    <div class="form-group">

                        <label asp-for="Grupo_punto.GPu_id" class="col-md-4 control-label" style="float:left">GRUPO PUNTO</label>

                        <select asp-for="Grupo_punto.GPu_id" asp-items="@(new SelectList(ViewBag.Grupo_puntoList,"GPu_id", "GPu_descripcion_corta"))" class="form-control col-md-6 select2"><option>Seleccione</option></select>
                        <span asp-validation-for="Grupo_punto.GPu_id" class="text-danger" />

                    </div>

                </fieldset>
                <br />
                <br />






                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">CODIGOS</legend>
                    <div class="form-group">
                        <label asp-for="CPu_codigo_empresa" class="col-md-4 control-label" style="float:left">  EMPRESA </label>

                        <input asp-for="CPu_codigo_empresa" class="form-control col-md-6" />
                        <span asp-validation-for="CPu_codigo_empresa" class="text-danger" />

                    </div>
                    <div class="form-group">
                        <label asp-for="CPu_codigo_alterno" class="col-md-4 control-label" style="float:left">  ALTERNO </label>

                        <input asp-for="CPu_codigo_alterno" class="form-control col-md-6" />
                        <span asp-validation-for="CPu_codigo_alterno" class="text-danger" />

                    </div>

                </fieldset>
                <br />
                <br />





                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">DESCRIPCIONES</legend>
                    <div class="form-group">
                        <label asp-for="CPu_descripcion_larga" class="col-md-4 control-label" style="float:left">  LARGA </label>

                        <input asp-for="CPu_descripcion_larga" class="form-control col-md-6" />
                        <span asp-validation-for="CPu_descripcion_larga" class="text-danger" />

                    </div>
                    <div class="form-group">
                        <label asp-for="CPu_descripcion_med" class="col-md-4 control-label" style="float:left">  MEDIA </label>

                        <input asp-for="CPu_descripcion_med" class="form-control col-md-6" />
                        <span asp-validation-for="CPu_descripcion_med" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="CPu_descripcion_corta" class="col-md-4 control-label" style="float:left">  CORTA </label>

                        <input asp-for="CPu_descripcion_corta" class="form-control col-md-6" />
                        <span asp-validation-for="CPu_descripcion_corta" class="text-danger" />

                    </div>



                    <div class="form-group">
                        <label asp-for="CPu_abreviacion" class="col-md-4 control-label" style="float:left"> ABREVIACION </label>

                        <input asp-for="CPu_abreviacion" class="form-control col-md-6" />

                        <span asp-validation-for="CPu_abreviacion" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="CPu_observacion" class="col-md-4 control-label" style="float:left"> OBSERVACION </label>

                        <input asp-for="CPu_observacion" class="form-control col-md-6" />
                        <span asp-validation-for="CPu_observacion" class="text-danger" />

                    </div>
                </fieldset>
                <br />
                <br />



                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">FECHAS</legend>
                    <div class="form-group">
                        <label asp-for="CPu_fecha_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  CREACION</label>
                        <input asp-for="CPu_fecha_creacion" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="CPu_fecha_creacion" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="CPu_fecha_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  MODIFICACION </label>
                        <input name="CPu_fecha_modificacion" id="CPu_fecha_modificacion" class="form-control col-xl-6" value="@ViewBag.fecha_modificacion" readonly>

                        <span asp-validation-for="CPu_fecha_modificacion" class="text-danger" />

                    </div>
                </fieldset>
                <br />
                <br />
                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">USUARIOS</legend>
                    <div class="form-group">
                        <label asp-for="CPu_usuario_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  CREACION</label>

                        <input asp-for="CPu_usuario_creacion" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="CPu_usuario_creacion" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="CPu_usuario_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  MODIFICACION</label>

                        <input asp-for="CPu_usuario_modificacion" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="CPu_usuario_modificacion" class="text-danger" />

                    </div>
                </fieldset>
                <br />
                <br />




                <fieldset class="col-xl-6 col-md-6 col-lg-6">

                    <div class="form-group">
                        <label asp-for="CPu_secuencia" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  SECUENCIA</label>

                        <input asp-for="CPu_secuencia" class="form-control col-xl-6" readonly />

                        <span asp-validation-for="CPu_secuencia" class="text-danger" />

                    </div>

                </fieldset>

            </div>

        </div>
        <div style="float:right" class="col-md-12">
            <div class="form-group">

                <div class="col-md-6">
                    <button type="button" class="btn btn-warning" onclick="location.href='@Url.Action("Index", "Categoria_punto")'">Volver</button>
                    <button type="submit" class="btn btn-success">Guardar</button>
                </div>
            </div>
        </div>
    </div>

</form>

Sistema Riego - 9Nov/GenericApp_web/Generic_appWeb/Views/Categoria_punto/Index.cshtml
@{
    ViewData["Nombre_tabla"] = "Categoria punto";
    ViewData["punto"] = "Categoria punto";

    Layout = "_index"; }






@model IEnumerable<Generic_appWeb.Models.Categoria_punto>

<div CPuass="card-body">
    <table id="example1" CPuass="table table-bordered table-striped ">

        @*<thead>

                <tr>

                    <th colspan="3" style="text-align:center">Codigo </th>
                    <th colspan="3" style="text-align:center">Descripcion</th>
                    <th colspan="2" style="text-align:center">Detalle</th>
                    <th colspan="2" style="text-align:center">Fecha</th>
                    <th colspan="2" style="text-align:center">Usuario</th>
                    <th colspan="4"></th>

                </tr>

            </thead>*@

        <thead CPuass="filters">
            <tr>
                <th>Hacienda</th>
                <th>Grupo punto</th>

                <th>Interno</th>
                <th>Empresa</th>
                <th>Alterno</th>

                <th>Larga</th>
                <th>Mediana</th>
                <th>Corta</th>

                <th>Abreviacion</th>
                <th>Observacion</th>

                <th>Creacion</th>
                <th>Modificacion</th>
                <th>Creacion</th>
                <th>Modificacion</th>
                <th>Secuencia</th>


                <th></th>
                <th></th>
            </tr>

        </thead>



        <tbody>


            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Hacienda.Hac_descripcion_med)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.Grupo_punto.GPu_descripcion_med)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.CPu_id)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.CPu_codigo_empresa)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.CPu_codigo_alterno)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.CPu_descripcion_larga)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.CPu_descripcion_med)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.CPu_descripcion_corta)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.CPu_abreviacion)
                    </td>

                    <td>
                        @Html.DisplayFor(modelItem => item.CPu_observacion)
                    </td>



                    <td>
                        @Html.DisplayFor(modelItem => item.CPu_fecha_creacion)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.CPu_fecha_modificacion)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.CPu_usuario_creacion.Users_usuario_creacion)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.CPu_usuario_modificacion.Users_usuario_modificacion)
                    </td>


                    <td>
                        @Html.DisplayFor(modelItem => item.CPu_secuencia)
                    </td>


                    <td>
                        <a asp-action="Edit" asp-route-id="@item.CPu_id" asp-route-usu=" item.CPu_usuario_creacion" asp-route-usu1="@item.CPu_usuario_modificacion" CPuass="btn btn-info">Editar</a>
                    </td>
                    <td>
                        <a asp-action="Delete" CPuass="btn btn-danger" asp-route-id="@item.CPu_id" onCPuick="return confirm('Se eliminara el registro');">Eliminar</a>
                    </td>
                </tr>
            }

        </tbody>



    </table>

</div>






@section Scripts
    {










    <!-- DataTables -->
    <script src="~/AdminLTE-3.0.5/plugins/datatables/jquery.dataTables.min.js"></script>
    <script src="~/AdminLTE-3.0.5/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
    <script src="~/AdminLTE-3.0.5/plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
    <script src="~/AdminLTE-3.0.5/plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>

    <script src="~/Js/Tipos_estados_index.js"></script>






    <script>
        $(function () {
            $("#example1").DataTable({
                "responsive": true,
                "autoWidth": false,
            });
            $('#example2').DataTable({
                "paging": true,
                "lengthChange": false,
                "searching": false,
                "ordering": true,
                "info": true,
                "autoWidth": false,
                "responsive": true,
            });
        });
    </script>




}